# do not include minor version number in MOZILLA_FIVE_HOME
%define tbmajor 2.0
%define tbversion %{tbmajor}.0.23
%define tbdir %{_libdir}/thunderbird-%{tbmajor}

%define build_vineseed 0
%define build_vine4 0
%define build_vine3 0

%if "%{?_dist_release}" == "vl5"
%define build_vineseed 1
%endif
%if "%{?_dist_release}" == "vl4"
%define build_vine4 1
%endif
%if "%{?_dist_release}" == "vl3"
%define build_vine3 1
%endif

%define tbrelease 1%{?_dist_release}

# Temporary until this works again
ExcludeArch:    ppc64

%define desktop_file_utils_version 0.6
%define cairo_version 1.0
%define nspr_version 4.6.7
%define nss_version 3.11.5

Summary:	Thunderbird Community Edition, Mail/newsgroup client
Summary(ja):	Thunderbirdコミュニティエディション, メール・ニュースクライアント
Name:		thunderbird
Version:	%{tbversion}
Release:	%{tbrelease}
URL:		http://www.mozilla.org/projects/thunderbird/
License:	MPL
Group:		Applications/Internet

Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{tbversion}/source/thunderbird-%{version}-source.tar.bz2
Source1010:     mozconfig-thunderbird-vine3
Source1020:     mozconfig-thunderbird-vine4
Source1030:     mozconfig-thunderbird-vine5
Source12:       thunderbird-vine-default-prefs.js
Source20:       thunderbird.desktop
Source21:       thunderbird.vine.sh.in
Source22:       thunderbird.png
Source30:       thunderbird-open-browser.sh
Source100:      find-external-requires

# locale sources
%define MOZ_BUILD_LOCALES "ja"
Source1000:     thunderbird-2.0.0.0-ja.tar.bz2

# upstream patch


# build patches
Patch1:         firefox-2.0-link-layout.patch

# customization patches
Patch22:        firefox-1.0-psfonts.patch
Patch24:        thunderbird-2.0-default-applications.patch
Patch25:        thunderbird-1.1-software-update.patch
Patch26:        firefox-1.5-default-a4-paper.patch

# font system fixes
#Patch81:        firefox-nopangoxft.patch

## Vine patch
# http://bugzilla.mozilla.org/show_bug.cgi?id=179248
Patch1000:    firefox-1.5-sjisalias.patch

# use /proc/net/netstat for random seed instead of netstat command.
#Patch1010:      firefox-nss-no_netstat.patch

# workaround gcc visibility hidden bugs (see gcc#26905)
Patch1020:      firefox-2.0.0.3-visibility.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if !%{build_vine3}
BuildRequires:  pango-devel
BuildRequires:  cairo-devel >= %{cairo_version}
%if !%{build_vine4}
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
BuildRequires:  pixman-devel
%endif
%endif
BuildRequires:	libpng-devel, libjpeg-devel, gtk2-devel
BuildRequires:	zlib-devel, gzip, zip, unzip
BuildRequires:	libIDL-devel
BuildRequires:	tcsh
BuildRequires:	freetype2-devel

Prereq:		desktop-file-utils >= %{desktop_file_utils_version}
%if %{build_vineseed}
Requires:	nspr >= %{nspr_version}
Requires:	nss >= %{nss_version}
%endif
Obsoletes:	MozillaThunderbird
Provides:	MozillaThunderbird = %{version}

Packager:	daisuke, ryoichi, kazutaka

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Thunderbird is a standalone mail and newsgroup client.

%description -l ja
Thunderbird はスタンドアローンのメールおよびニュースクライアントです。

#===============================================================================

%prep
%setup -q -n %{name}-%{version} -c -b 1000
cd mozilla

%patch1 -p1 -b .link-layout

%patch22 -p1
%patch24 -p1
#%patch25 -p0
%patch26 -p1
#%if !%{build_vine3}
#%patch81 -p1
#%endif

%patch1000 -p0
#%patch1010 -p1
#patch1020 -p1


%{__rm} -f .mozconfig
%if %{build_vine3}
%{__cp} %{SOURCE1010} .mozconfig
%endif
%if %{build_vine4}
%{__cp} %{SOURCE1020} .mozconfig
%endif
%if %{build_vineseed}
%{__cp} %{SOURCE1030} .mozconfig
%endif

#===============================================================================

%build
cd mozilla
autoconf-2.13

#MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-O2/-Os/' -e 's/-Wall//')
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-Wall//')
export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1

%ifarch ppc ppc64 s390 s390x
%define moz_mflags -j1
%else
%define moz_mflags %{?_smp_mflags}
%endif

export LDFLAGS="-Wl,-rpath,%{ffdir}"
export MAKE="gmake %{moz_mflags}"
%__make -f client.mk build

# build locales
LOCALEDIRS=`find . -print | grep 'locales/Makefile$' | \
            sed -e 's|\./\(.*\)/locales/.*|\1|g'`
for dir in $LOCALEDIRS
do
  for lang in %{MOZ_BUILD_LOCALES} ; do
    make -C $dir/locales AB_CD=$lang
  done
done

#===============================================================================

%install
cd mozilla
%{__rm} -rf $RPM_BUILD_ROOT

cd xpinstall/packager/
%{__make} STRIP=/bin/true
cd -

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

%{__tar} -C $RPM_BUILD_ROOT%{_libdir}/ -xzf dist/%{name}-*linux*.tar.gz
%{__mv} $RPM_BUILD_ROOT%{_libdir}/%{name} $RPM_BUILD_ROOT%{tbdir}

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}-*linux*.tar

%{__install} -p -D %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor vine \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Application \
  --add-category Network \
  %{SOURCE20}

# set up the thunderbird start script
%{__cat} %{SOURCE21} | %{__sed} -e 's,TBDIR,%{tbdir},g' > \
  $RPM_BUILD_ROOT%{_bindir}/thunderbird
%{__chmod} 755 $RPM_BUILD_ROOT/%{_bindir}/thunderbird

install -m755 %{SOURCE30} $RPM_BUILD_ROOT/%{tbdir}/open-browser.sh
perl -pi -e 's|LIBDIR|%{_libdir}|g' $RPM_BUILD_ROOT/%{tbdir}/open-browser.sh

%{__cat} %{SOURCE12} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
                                -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > \
        $RPM_BUILD_ROOT/vine-default-prefs
%{__cp} $RPM_BUILD_ROOT/vine-default-prefs $RPM_BUILD_ROOT/%{tbdir}/greprefs/all-vine.js
%{__cp} $RPM_BUILD_ROOT/vine-default-prefs $RPM_BUILD_ROOT/%{tbdir}/defaults/pref/all-vine.js
%{__rm} $RPM_BUILD_ROOT/vine-default-prefs

# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

%{__rm} -f $RPM_BUILD_ROOT%{tbdir}/thunderbird-config

cd $RPM_BUILD_ROOT%{tbdir}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf \{\} \;
cd -

# install locales
for lang in %{MOZ_BUILD_LOCALES} ; do
  %{__install} -p -D -m 664 dist/bin/chrome/$lang.{jar,manifest} $RPM_BUILD_ROOT%{tbdir}/chrome/
done

# install default icons
# refer https://bugzilla.redhat.com/show_bug.cgi?id=177823
%{__mkdir_p} $RPM_BUILD_ROOT%{tbdir}/chrome/icons/default
install -m644 dist/thunderbird/chrome/icons/default/* \
         $RPM_BUILD_ROOT%{tbdir}/chrome/icons/default/


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:


%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/thunderbird
%attr(644,root,root) %{_datadir}/applications/vine-thunderbird.desktop
%attr(644,root,root) %{_datadir}/pixmaps/thunderbird.png
%{tbdir}

#===============================================================================

%changelog
* Sun Aug 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.23-1
- new upstream release

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.22-1
- new upstream release

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.21-3
- don't install official branding logos

* Mon May 04 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0.21-2
- add necessary icons in %%{tbdir}/chrome/icons/default
- add Packager tag

* Fri Mar 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0.21-1
- new upstream release

* Sun Jan 25 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0.19-1
- new upstream release

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.18-1
- new upstream release

* Wed Apr 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.14-1
- new upstream release

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.6-0vl2
- rebuilt for VineSeed

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.6-0vl1
- new upstream release

* Sat Jul 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.5-0vl1
- new upstream release
- built for Vine Linux 4.x
- dropped Patch1020 (merged into upstream)

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.0.0-0vl4
- added Patch1020 for workaround gcc visibility hidden bugs

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-0vl3
- build with new environment/toolchain
- add build options to build with external nss/nspr libraries
    ac_add_options --with-system-nspr
    ac_add_options --with-system-nss

* Mon Apr 23 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-0vl2
- new upstream release

* Mon Oct 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl2
- new upstream release

* Fri Jul 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.5-0vl2
- new upstream release

* Fri Jun 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl1
- new upstream release

* Fri Apr 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl1
- new upstream release
- merge changes from firefox
  - use thunderbird-1.5 for MOZILLA_FIVE_HOME instead of thunderbird-1.5.0.2

* Tue Mar 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl2
- new upstream release
- build en-US locale
- merge changes from firefox
  - add upstream patches
  - disable pango rendering by default
    (workaround fix slow rendering in some page)

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl0.rc2
- initial build for Vine Linux based on FC package
- update to 1.5RC2

* Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.1.rc1
- Fix issue with popup dialogs and other actions causing lockups

* Sat Nov  5 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.rc1
- Update to 1.5 rc1

* Sat Oct  8 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.beta2
- Update to 1.5 beta2

* Wed Sep 28 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.beta1
- Update to 1.5 beta1
- Bring the install phase of the spec file up to speed

* Sun Aug 14 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-4
- Rebuild

* Sat Aug  6 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-3
- Add patch to make file chooser dialog modal

* Fri Jul 22 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-2
- Update to 1.0.6

* Mon Jul 18 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-0.1.fc5
- 1.0.6 Release Candidate

* Fri Jul 15 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-8
- Use system NSPR
- Fix crash on 64bit platforms (#160330)

* Thu Jun 23 2005 Kristian H淡gsberg <krh@redhat.com>  1.0.2-7
- Add firefox-1.0-pango-cairo.patch to get rid of the last few Xft
  references, fixing the "no fonts" problem.

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-6
- Change the Exec line in the desktop file to `thunderbird`

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-5
- Update pango patche, MOZ_DISABLE_PANGO now works as advertised.

* Mon May  9 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-4
- Add temporary workaround to not create files in the user's $HOME (#149664)

* Wed May  4 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-3
- Don't have downloads "disappear" when downloading to desktop (#139015)
- Fix for some more cursor issues in textareas (149991, 150002, 152089)
- Add upstream patch to fix bidi justification of pango
- Add patch to fix launching of helper applications
- Add patch to properly link against libgfxshared_s.a
- Fix multilib conflicts

* Wed Apr 27 2005 Warren Togami <wtogami@redhat.com>
- correct confusing PANGO vars in startup script

* Wed Mar 23 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-1
- Thunderbird 1.0.2

* Tue Mar  8 2005 Christopher Aillon <caillon@redhat.com> 1.0-5
- Add patch to compile against new fortified glibc macros

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> 1.0-4
- Rebuild against GCC 4.0
- Add execshield patches
- Minor specfile cleanup

* Mon Dec 20 2004 Christopher Aillon <caillon@redhat.com> 1.0-3
- Rebuild

* Thu Dec 16 2004 Christopher Aillon <caillon@redhat.com> 1.0-2
- Add RPM version to useragent

* Thu Dec 16 2004 Christopher Blizzard <blizzard@redhat.com>
- Port over pango patches from firefox

* Wed Dec  8 2004 Christopher Aillon <caillon@redhat.com> 1.0-1
- Thunderbird 1.0

* Mon Dec  6 2004 Christopher Aillon <caillon@redhat.com> 1.0-0.rc1.1
- Fix advanced prefs

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com>
- Make this run on s390(x) now for real

* Wed Dec  1 2004 Christopher Aillon <caillon@redhat.com> 1.0-0.rc1.0
- Update to 1.0 rc1

* Fri Nov 19 2004 Christopher Aillon <caillon@redhat.com>
- Add patches to build and run on s390(x)

* Thu Nov 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.0-2
- Rebuild to fix file chooser

* Fri Nov  5 2004 Christopher Aillon <caillon@redhat.com> 0.9.0-1
- Update to 0.9

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-10
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-9
- More file chooser fixes (same as in firefox)
- Fix for upstream 28327.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-8
- Update the pango patch

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-8
- Pull over patches from firefox build:
  - disable default application dialog
  - don't include software update since it doesn't work
  - make external app support work

* Thu Oct 14 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-7
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-6
- Fix for 64 bit crash at startup (b.m.o #256603)

* Sat Oct  9 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-5
- Add patches to fix xremote (#135036)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-4
- Add patch to fix button focus issues (#133507)
- Add patch for fix IMAP race issues (bmo #246439)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0.8.0-3
- filter out library Provides: and internal Requires:

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-2
- Backport the GTK+ File Chooser.
- Add fix for JS math on x86_64 systems
- Add pkgconfig patch

* Thu Sep 16 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-1
- Update to 0.8.0
- Remove enigmail
- Update BuildRequires
- Remove gcc34 and extension manager patches -- they are upstreamed.
- Fix for gnome-vfs2 error at component registration

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0.7.3-5
- Build with --disable-xprint

* Wed Sep 01 2004 David Hill <djh[at]ii.net> 0.7.3-4
- remove all Xvfb-related hacks

* Wed Sep 01 2004 Warren Togami <wtogami@redhat.com> 
- actually apply psfonts
- add mozilla gnome-uriloader patch to prevent build failure

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0.7.3-3
- rawhide import
- apply NetBSD's freetype 2.1.8 patch
- apply psfonts patch
- remove BR on /usr/bin/ex, breaks beehive

* Tue Aug 31 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.2
- oops, fix %%install

* Thu Aug 26 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.1
- update to Thunderbird 0.7.3 and Enigmail 0.85.0
- remove XUL.mfasl on startup, add Debian enigmail patches
- add Xvfb hack for -install-global-extension

* Wed Jul 14 2004 David Hill <djh[at]ii.net> 0.7.2-0.fdr.0
- update to 0.7.2, just because it's there
- update gcc-3.4 patch (Kaj Niemi)
- add EM registration patch and remove instdir hack

* Sun Jul 04 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.1
- re-add Enigmime 1.0.7, omit Enigmail until the Mozilla EM problems are fixed

* Wed Jun 30 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.0
- update to 0.7.1
- remove Enigmail

* Mon Jun 28 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.1
- re-enable Enigmail 0.84.1
- add gcc-3.4 patch (Kaj Niemi)
- use official branding (with permission)

* Fri Jun 18 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.0
- update to 0.7
- temporarily disable Enigmail 0.84.1, make ftp links work (#1634)
- specify libdir, change BR for apt (V. Skytt辰, #1617)

* Tue May 18 2004 Warren Togami <wtogami@redhat.com> 0.6-0.fdr.5
- temporary workaround for enigmail skin "modern" bug

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.4
- update to Enigmail 0.84.0 
- update launch script

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.3
- installation directory now versioned
- allow root to run the program (for installing extensions)
- remove unnecessary %%pre and %%post
- remove separators, update mozconfig and launch script (M. Schwendt, #1460)

* Wed May 05 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.2
- include Enigmail, re-add release notes
- delete %{_libdir}/thunderbird in %%pre

* Mon May 03 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.1
- update to Thunderbird 0.6

* Fri Apr 30 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.rc1
- update to Thunderbird 0.6 RC1
- add new icon, remove release notes

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.20040415
- update to latest CVS, update mozconfig and %%build accordingly
- update to Enigmail 0.83.6
- remove x-remote and x86_64 patches
- build with -Os

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.5-0.fdr.12
- update x-remote patch
- more startup script fixes

* Tue Apr 06 2004 David Hill <djh[at]ii.net> 0:0.5-0.fdr.11
- startup script fixes, and a minor cleanup

* Sun Apr 04 2004 Warren Togami <wtogami@redhat.com> 0:0.5-0.fdr.10
- Minor cleanups

* Sun Apr 04 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.8
- minor improvements to open-browser.sh and startup script
- update to latest version of Blizzard's x-remote patch

* Thu Mar 25 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.7
- update open-browser.sh, startup script, and BuildRequires

* Sun Mar 14 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.6
- update open-browser script, modify BuildRequires (Warren)
- add Blizzard's x-remote patch
- initial attempt at x-remote-enabled startup script

* Sun Mar 07 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.5
- refuse to run with excessive privileges

* Fri Feb 27 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.4
- add Mozilla x86_64 patch (Oliver Sontag)
- Enigmail source filenames now include the version
- modify BuildRoot

* Thu Feb 26 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.3
- use the updated official tarball

* Wed Feb 18 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.2
- fix %%prep script

* Mon Feb 16 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.1
- update Enigmail to 0.83.3
- use official source tarball (after removing the CRLFs)
- package renamed to thunderbird

* Mon Feb 09 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.0
- update to 0.5
- check for lockfile before launching

* Fri Feb 06 2004 David Hill <djh[at]ii.net>
- update to latest cvs
- update to Enigmail 0.83.2

* Thu Jan 29 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.5
- update to Enigmail 0.83.1
- removed Mozilla/Firebird script patching

* Sat Jan 03 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.4
- add startup notification to .desktop file

* Thu Dec 25 2003 Warren Togami <warren@togami.com> 0:0.4-0.fdr.3
- open-browser.sh release 3
- patch broken /usr/bin/mozilla script during install
- dir ownership
- XXX: Source fails build on x86_64... fix later

* Tue Dec 23 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.2
- update to Enigmail 0.82.5
- add Warren's open-browser.sh (#1113)

* Tue Dec 09 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.1
- use Thunderbird's mozilla-xremote-client to launch browser

* Sun Dec 07 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.0
- update to 0.4
- make hyperlinks work (with recent versions of Firebird/Mozilla)

* Thu Dec 04 2003 David Hill <djh[at]ii.net>
- update to 0.4rc2

* Wed Dec 03 2003 David Hill <djh[at]ii.net>
- update to 0.4rc1 and Enigmail 0.82.4

* Thu Nov 27 2003 David Hill <djh[at]ii.net>
- update to latest CVS and Enigmail 0.82.3

* Sun Nov 16 2003 David Hill <djh[at]ii.net>
- update to latest CVS (0.4a)
- update Enigmail to 0.82.2
- alter mozconfig for new build requirements
- add missing BuildReq (#987)

* Thu Oct 16 2003 David Hill <djh[at]ii.net>	0:0.3-0.fdr.0
- update to 0.3

* Sun Oct 12 2003 David Hill <djh[at]ii.net>	0:0.3rc3-0.fdr.0
- update to 0.3rc3
- update Enigmail to 0.81.7

* Thu Oct 02 2003 David Hill <djh[at]ii.net>	0:0.3rc2-0.fdr.0
- update to 0.3rc2

* Wed Sep 17 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.2
- simplify startup script

* Wed Sep 10 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.1
- add GPG support (Enigmail 0.81.6)
- specfile fixes (#679)

* Thu Sep 04 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.0
- update to 0.2

* Mon Sep 01 2003 David Hill <djh[at]ii.net>
- initial RPM
  (based on the fedora MozillaFirebird-0.6.1 specfile)

